OD(1)

NAAM
od - dump bestanden in octale en andere formaten

SAMENVATTING
od [OPTIE]... [BESTAND]...
od [-abcdfilosx]... [BESTAND] [[+]POSITIE[.][b]]
od --traditional [OPTIE]... [BESTAND] [[+]POSITIE[.][b] [+][LABEL][.][b]]

BESCHRIJVING

Stuurt een eenduidige representatie (standaard in octaal formaat) van het gegeven BESTAND naar standaard uitvoer. Bij meer dan één BESTAND, voegt het deze in de gegeven volgorde achter elkaar om de uitvoer te vormen.

Zonder BESTAND, of wanneer BESTAND '-' is, wordt standaard invoer gelezen.

Als niet --traditional gebruikt is, dan geldt de tweede vorm van 'Gebruik' wanneer het laatste argument met een '+' begint of (bij twee argumenten) met een cijfer. Een POSITIE-argument betekent hetzelfde als -j POSITIE. LABEL is een pseudo-adres voor de eerste getoonde byte, wordt tussen haakjes getoond, en wordt net als het echte adres opgehoogd tijdens de voortgang. Voor POSITIE en LABEL betekenen een voorgevoegde '0x' of '0X' hexadecimaal; het achtervoegsel '.' betekent octaal en 'b' vermenigvuldiging met 512.

Een verplicht argument bij een lange optie is ook verplicht voor de korte optie.

-A, --address-radix=GROND
    te gebruiken grondtal voor adressen; 'x' voor hex, 'd' voor decimaal, 'o' voor octaal, 'n' voor geen

--endian={big|little}
    invoerbytes verwisselen volgens aangeven volgorde

-j, --skip-bytes=BYTES
    dit aantal bytes aan begin van invoer overslaan

-N, --read-bytes=BYTES
    de uitvoer beperken tot dit aantal bytes van invoer

-S BYTES, --strings[=LENGTE]
    alleen symboolnamen tonen, van minstens deze LENGTE

-t, --format=TYPE
    te gebruiken TYPE opmaak voor de uitvoer

-v, --output-duplicates
    duplicaten tonen, i.p.v. '*' voor regelweglating

-w[GETAL], --width[=GETAL]
    aantal te tonen bytes per uitvoerregel

--traditional
    ook argumenten in traditionele vorm accepteren

--help
    toon de helptekst en stop

--version
    toon programmaversie en stop

  Traditionele opmaakspecificaties mogen ook gebruikt worden; zij accumuleren:

-a  ls -t a, tekennamen tonen, het hoogste bit negerend

-b  als -t o1, octale getallen van 1 byte tonen

-c  als -t c, afdrukbare tekens of backslash-codes tonen

-d  als -t u2, decimale getallen van 2 bytes zonder teken tonen

-f  als -t fF, drijvende-kommagetallen tonen

-i  als -t dI, decimale gehele getallen tonen

-l  als -t dL, decimale lange gehele getallen tonen

-o  als -t o2, octale getallen van 2 bytes tonen

-s  als -t d2, decimale getallen van 2 bytes tonen

-x  als -t x2, hexadecimale getallen van 2 bytes tonen

  TYPE bestaat uit één of meer van de volgende aanduidingen:

a   tekennaam, het hoogste bit negerend

c   ASCII-teken of backslash-code

d[AANTAL]
    decimaal getal met plus- of minteken, met AANTAL bytes per getal

f[AANTAL]
    drijvende-kommagetal, met AANTAL bytes per getal

o[AANTAL]
    octaal getal, met AANTAL bytes per getal

u[AANTAL]
    decimaal getal zonder teken, met AANTAL bytes per getal

x[AANTAL]
    hexadecimaal getal, met AANTAL bytes per getal

AANTAL is een getal. Als TYPE een van [doux] is, dan mag AANTAL ook zijn: C voor sizeof(char), S voor sizeof(short), I voor sizeof(int), of L voor sizeof(long). Als TYPE 'f' is, mag AANTAL ook zijn: F voor sizeof(float), D voor sizeof(double), of L voor sizeof(long double). (De machineafhankelijke functie sizeof() geeft de lengte in bytes aan van de gegeven eenheid.)

Met het achtervoegsel 'z' achter een TYPE, worden aan het eind van elke uitvoerregel als extra de afdrukbare tekens getoond.

  BYTES is hexadecimaal met 0x of 0X voorvoegsel, toegestaan vermenigvuldigings achtervoegsel:

b   512

KB  1000

K   1024

MB  1000*1000

M   1024*1024

en zo voort voor G, T, P, E, Z, Y. Ook binaire voorvoegsels mogen gebruikt worden: KiB=K, MiB=M, etc.

VOORBEELDEN

od -A x -t x1z -v
    Toon hexdump formaat uitvoer

od -A o -t oS -w16
    Het standaard uitvoer formaat gebruikt door od

AUTEUR
Geschreven door Jim Meyering.

RAPPORTEREN VAN BUGS
Online hulp bij GNU coreutils: <https://www.gnu.org/software/coreutils/>
Meld alle vertaalfouten op <https://translationproject.org/team/nl.html>

COPYRIGHT
Copyright © 2022 Free Software Foundation, Inc. Licentie GPLv3+: GNU GPL versie 3 of later <https://gnu.org/licenses/gpl.html>.
Dit is vrije software: u mag het vrijelijk wijzigen en verder verspreiden. Deze software kent GEEN GARANTIE, voor zover de wet dit toestaat.

ZIE OOK
Volledige documentatie op: <https://www.gnu.org/software/coreutils/od>
of lokaal via: info '(coreutils) od invocation'

VERTALING
De Nederlandse vertaling van deze handleiding is geschreven door Mario Blättermann <mario.blaettermann@gmail.com> en Luc Castermans <luc.castermans@gmail.com>

Deze vertaling is vrije documentatie; lees de GNU General Public License Version 3 (https://www.gnu.org/licenses/gpl-3.0.html) of later over de Copyright-voorwaarden. Er is geen AANSPRAKELIJKHEID.

Indien U fouten in de vertaling van deze handleiding zou vinden, stuur een e-mail naar debian-l10n-dutch@lists.debian.org.